Retail Express API 2.1

Gets Supplier by id

Gets Supplier by id

get
https://api.retailexpress.com.au/v2.1/suppliers/{id}

Path Parameters

idinteger(int32)required

Supplier id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Supplier

Supplier

Supplier model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Id

supplier_codestring | null

Supplier Code

>= 0 characters<= 20 characters

namestring | null

Supplier Name

>= 0 characters<= 50 characters

addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Supplier Phone Number

>= 0 characters<= 20 characters

faxstring | null

Supplier Fax Number

>= 0 characters<= 20 characters

contact_namestring | null

Supplier Contact Name

>= 0 characters<= 50 characters

contact_emailstring | null(email)

Supplier Contact Email

>= 0 characters<= 120 characters

order_emailstring | null(email)

Supplier Order Email

>= 0 characters<= 120 characters

admin_only_ordersboolean

Admin Only Orders Flag

deposit_requiredboolean

Deposit Required Flag

shipping_portobject
* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Supplier Shipping Terms

>= 0 characters<= 50 characters

payment_termsstring | null

Supplier Payment Terms

>= 0 characters<= 50 characters

commentsstring | null

Supplier Comments

Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$

>= 0 characters<= 255 characters

purchase_order_templatestring | null

Supplier Purchase Order Template type

po_sku1_enabledboolean | null

PO SKU 1 Enabled (FALSE by default)

po_sku2_enabledboolean | null

PO SKU 2 Enabled (TRUE by default)

is_enabledboolean

Is enabled flag

modified_onstring(date-time)

Modified On

get/suppliers/{id}
 
application/json

Updates Supplier by id

Sample request:

 PUT /supplier
 {
     "supplier_code": "supplier code",
     "name": "Supplier test",
     "address": {
         "address_line1": "string",
         "suburb": "string",
         "state": "string",
         "postcode": "string",
         "country": {
             "id": 2        
          }
     },
     "phone": "string",
     "fax": "string",
     "contact_name": "string",
     "contact_email": "string@com.au",
     "order_email": "string@com.au",
     "admin_only_orders": false,
     "deposit_required": false,
     "shipping_port": {
         "id": 2,
         "name": "string"
     },
     "country_of_origin": {
         "id": 2,
         "name": "string"
     },
     "shipping_terms": "string",
     "payment_terms": "string",
     "comments": "Supplier comments",
     "purchase_order_template": "Standard",
     "is_enabled": true,
     "po_sku1_enabled": true,
     "po_sku2_enabled": true
  }
put
https://api.retailexpress.com.au/v2.1/suppliers/{id}

Path Parameters

idinteger(int32)required

Supplier id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Supplier model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Supplier

Supplier

Supplier model

* Additional properties are NOT allowed.
idinteger | null(int32)

Supplier Id

supplier_codestring | null

Supplier Code

>= 0 characters<= 20 characters

namestring | null

Supplier Name

>= 0 characters<= 50 characters

addressobject

Supplier address model

* Additional properties are NOT allowed.
Show Child Parameters
phonestring | null

Supplier Phone Number

>= 0 characters<= 20 characters

faxstring | null

Supplier Fax Number

>= 0 characters<= 20 characters

contact_namestring | null

Supplier Contact Name

>= 0 characters<= 50 characters

contact_emailstring | null(email)

Supplier Contact Email

>= 0 characters<= 120 characters

order_emailstring | null(email)

Supplier Order Email

>= 0 characters<= 120 characters

admin_only_ordersboolean

Admin Only Orders Flag

deposit_requiredboolean

Deposit Required Flag

shipping_portobject
* Additional properties are NOT allowed.
Show Child Parameters
country_of_originobject
* Additional properties are NOT allowed.
Show Child Parameters
shipping_termsstring | null

Supplier Shipping Terms

>= 0 characters<= 50 characters

payment_termsstring | null

Supplier Payment Terms

>= 0 characters<= 50 characters

commentsstring | null

Supplier Comments

Match pattern:^[^*|":<>[\]{}`\()';@&$#!-/?]+$

>= 0 characters<= 255 characters

purchase_order_templatestring | null

Supplier Purchase Order Template type

po_sku1_enabledboolean | null

PO SKU 1 Enabled (FALSE by default)

po_sku2_enabledboolean | null

PO SKU 2 Enabled (TRUE by default)

is_enabledboolean

Is enabled flag

modified_onstring(date-time)

Modified On

put/suppliers/{id}

Body

{}
 
application/json

Deletes Supplier by id

Deletes Supplier by id

delete
https://api.retailexpress.com.au/v2.1/suppliers/{id}

Path Parameters

idinteger(int32)required

Supplier id

Example:1

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Supplier deleted

delete/suppliers/{id}
 

token

Acquires token

Acquires token

get
https://api.retailexpress.com.au/v2.1/auth/token

Headers

x-api-keystringrequired

Subscription key.

Response

200

Returns authentication result

get/auth/token
 
200